#include<bits/stdc++.h>
using namespace std;
int main(){
    int p,a;
    cin>>p>>a;
    int n[a];
    for(int i = 0;i < a;i++){
        cin>>n[i];
    }
    sort(n,n + a);
    vector<int>m;
    int s = n[0],k = 1;
    for(int j = 1;j < a;j++){
        if(s == n[j]){
            k++;
            if(k == p){
                m.push_back(s);
            }
        }
        else{
            k = 1;
            s = n[j];
        }
    }
    cout<<m.size()<<endl;
    for(int i = 0;i < m.size();i++){
        cout<<m[i]<<" ";
    }
}
